Skip to main content
`Ctrl`+`K`

# PEPCISSExtraction

The extraction technique used in the CISS solver.

## Synopsis

    typedef enum { PEP_CISS_EXTRACTION_RITZ,
                   PEP_CISS_EXTRACTION_HANKEL,
                   PEP_CISS_EXTRACTION_CAA    } PEPCISSExtraction;

## Values

- `PEP_CISS_EXTRACTION_RITZ` - Rayleigh-Ritz extraction

- `PEP_CISS_EXTRACTION_HANKEL` - block Hankel method

- `PEP_CISS_EXTRACTION_CAA` - communication-avoiding Arnoldi method

## See Also

PEP: Polynomial Eigenvalue Problems, `PEPCISSSetExtraction()`, `PEPCISSGetExtraction()`

## Level

advanced

## Location

include/slepcpep.h

Index of all PEP routines Table of Contents for all manual pages Index of all manual pages